import requests
from agora_logging import logger

class CurlWrapper:
    def __init__(self, ) -> None:
        pass

    def get_response(self, url:str, header:dict):
        try:
            response = requests.get(url, headers=header)
            return response
        except Exception as e:
            logger.exception(e, "Error while sending GetResponse")
            return None

    def post_request(self, url:str, data, header:dict):
        try:
            response = requests.post(url, headers=header, data=data)
            return response
        except Exception as e:
            logger.exception(e, "Error while sending PostRequest")

    def put_request(self, url:str, data, header:dict):
        try:
            response = requests.put(url, headers=header, data=data)
            return response
        except Exception as e:
            logger.exception(e, "Error while sending PutRequest")

    def delete_request(self, url:str, header:dict):
        try:
            response = requests.delete(url, headers=header)
            return response
        except Exception as e:
            logger.exception(e, "Error while sending DeleteRequest")